Subject: Re: gimp depends on emacs?
To: Berndt Josef Wulf <>
From: David Brownlee <>
List: tech-pkg
Date: 05/03/1999 18:12:44
On Tue, 4 May 1999, Berndt Josef Wulf wrote:

> For those who don't want to download the emacs package here
> the procedure to circumvent this:
> 	1.) comment out line 15 of /usr/pkgsrc/graphics/gimp/Makefile
> 	    #BUILD_DEPENDS= emacs:../../editors/emacs
> 	2.) make configure
> 	3.) touch /usr/pkgsrc/graphics/gimp/work/gimp-1.0.4/docs/pdb_dump.texi
> 	4.) make
> 	5.) make install 
> 	   ignore the 2 warning messages during the registration of
> 	   the package due to the missing files.
> It wouldn't heard to mention this procedure in the README file and have
> the users to decide whether it is worth the effort downloading emacs.
	But then any binary package they build will not match the standard
	binary package.
	How large is pdb_dump.texi? If its small enough it could be
	provided as a patch so that everyone could avoid needing emacs...


 -=-  "I know its not the right thing, and I know its not the good thing"  -=-